Page MenuHomePhabricator

Enable rsyslog mmjsonparse module fleetwide
Closed, ResolvedPublic

Description

We've enabled mmjsonparse for @cee: cookie support in the localhost-udp compatiblity endpoint for mediawiki, though we should be supporting json-formatted syslog fleetwide, i.e. for logs coming from journald / /dev/log too.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 4:37 PM
herron added a subscriber: herron.Jan 11 2019, 3:53 PM
fgiunchedi moved this task from Backlog to Up next on the User-fgiunchedi board.Feb 15 2019, 11:24 AM

Change 492632 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] [WIP] Use mmjsonparse by default

https://gerrit.wikimedia.org/r/492632

Change 492632 merged by Filippo Giunchedi:
[operations/puppet@production] rsyslog: always use mmjsonparse when shipping to kafka

https://gerrit.wikimedia.org/r/492632

Mentioned in SAL (#wikimedia-operations) [2019-02-27T08:41:09Z] <godog> enable mmjsonparse by default on kafka outputs - T213189

fgiunchedi closed this task as Resolved.Feb 27 2019, 10:08 AM
fgiunchedi claimed this task.

This is completed! Now syslog users of the logging pipeline can use @cee: cookies for structured logging if they so wish.